HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostWebhookEndpointsWebhookEndpoint

Contains the different functions to run the operation postWebhookEndpointsWebhookEndpoint

  • 4 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports6
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostWebhookEndpointsWebhookEndpoint.hs
valuepostWebhookEndpointsWebhookEndpoint
  1. :: MonadHTTP m
  2. => Text

    webhook_endpoint | Constraints: Maximum length of 5000

  3. -> Maybe PostWebhookEndpointsWebhookEndpointRequestBody

    The request body to send

  4. -> ClientT m (Response PostWebhookEndpointsWebhookEndpointResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/webhook_endpoints/{webhook_endpoint}

<p>Updates the webhook endpoint. You may edit the <code>url</code>, the list of <code>enabled_events</code>, and the status of your endpoint.</p>

Defines the object schema located at paths./v1/webhook_endpoints/{webhook_endpoint}.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/webhook_endpoints/{webhook_endpoint}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.enabled_events.items in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/webhook_endpoints/{webhook_endpoint}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.metadata.anyOf in the specification.

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postWebhookEndpointsWebhookEndpoint.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostWebhookEndpointsWebhookEndpointResponseError is used.

Instances2Eq, Show